Get the current user
Returns the privacy-safe profile of the user who authorized the access token: display name, username, image, nationality, and platforms. The Application needs an active installation on this user.
Request #
curl --request GET 'https://strave.gg/api/v2/users/@me' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response #
200Response for status 200400Response for status 400401Response for status 401403Response for status 403404Response for status 404429Response for status 429500Response for status 500503Response for status 503| Property | Type | Description |
|---|---|---|
data | objectRequired | - |
└id | stringRequired | - |
└displayName | stringRequired | - |
└username | string | nullRequired | - |
└imageUrl | string | nullRequired | - |
└nationality | string | nullRequired | - |
└platforms | string[]Required | - |
└primaryPlatform | string | nullRequired | - |